asciidoctor-pdf: treetop

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

asciidoctor-pdf: treetop

Patrick Ben Koetter
Greetings,

does anyone succeed installing asciidoctor-pdf? When I run it, it claims to
need treetop ~> 1.5.0. However only 1.6.10 seems to be available:

[p@p rub]$ asciidoctor-pdf Systemdokumentation.adoc
Traceback (most recent call last):
        8: from /usr/bin/asciidoctor-pdf:23:in `<main>'
        7: from /usr/lib/ruby/2.6.0/rubygems.rb:304:in `activate_bin_path'
        6: from /usr/lib/ruby/2.6.0/rubygems.rb:304:in `synchronize'
        5: from /usr/lib/ruby/2.6.0/rubygems.rb:305:in `block in activate_bin_path'
        4: from /usr/lib/ruby/2.6.0/rubygems/specification.rb:1417:in `activate'
        3: from /usr/lib/ruby/2.6.0/rubygems/specification.rb:1435:in `activate_dependencies'
        2: from /usr/lib/ruby/2.6.0/rubygems/specification.rb:1435:in `each'
        1: from /usr/lib/ruby/2.6.0/rubygems/specification.rb:1446:in `block in activate_dependencies'
/usr/lib/ruby/2.6.0/rubygems/dependency.rb:313:in `to_specs': Could not find 'treetop' (~> 1.5.0) - did find: [treetop-1.6.10] (Gem::MissingSpecVersionError)
Checked in 'GEM_PATH=/home/p/.gem/ruby/2.6.0:/usr/lib/ruby/gems/2.6.0', execute `gem env` for more information

Installing version 1.5.0 worked on their own platform.
[p@p rub]$ gem install treetop --version 1.5.0
ERROR:  Could not find a valid gem 'treetop' (= 1.5.0) in any repository
ERROR:  Possible alternatives: treetop

TIA

p@rick


--
[*] sys4 AG
 
https://sys4.de, +49 (89) 30 90 46 64
Schleißheimer Straße 26/MG,80333 München
 
Sitz der Gesellschaft: München, Amtsgericht München: HRB 199263
Vorstand: Patrick Ben Koetter, Marc Schiffbauer, Wolfgang Stief
Aufsichtsratsvorsitzender: Florian Kirstein
 
Reply | Threaded
Open this post in threaded view
|

Re: asciidoctor-pdf: treetop

mojavelinux
Administrator
Patrick,

It appears there is a problem with your gem installation. Can you explain how you installed asciidoctor-pdf?

As I always do, I strongly recommend using RVM to install Ruby (https://rvm.io) and installing gems from an RVM-managed Ruby installation. It avoids these sorts of problems. Messing with system gems is always precarious.

Best,

-Dan

On Tue, Jul 30, 2019 at 8:55 AM Patrick Ben Koetter [via Asciidoctor :: Discussion] <[hidden email]> wrote:
Greetings,

does anyone succeed installing asciidoctor-pdf? When I run it, it claims to
need treetop ~> 1.5.0. However only 1.6.10 seems to be available:

[p@p rub]$ asciidoctor-pdf Systemdokumentation.adoc
Traceback (most recent call last):
        8: from /usr/bin/asciidoctor-pdf:23:in `<main>'
        7: from /usr/lib/ruby/2.6.0/rubygems.rb:304:in `activate_bin_path'
        6: from /usr/lib/ruby/2.6.0/rubygems.rb:304:in `synchronize'
        5: from /usr/lib/ruby/2.6.0/rubygems.rb:305:in `block in activate_bin_path'
        4: from /usr/lib/ruby/2.6.0/rubygems/specification.rb:1417:in `activate'
        3: from /usr/lib/ruby/2.6.0/rubygems/specification.rb:1435:in `activate_dependencies'
        2: from /usr/lib/ruby/2.6.0/rubygems/specification.rb:1435:in `each'
        1: from /usr/lib/ruby/2.6.0/rubygems/specification.rb:1446:in `block in activate_dependencies'
/usr/lib/ruby/2.6.0/rubygems/dependency.rb:313:in `to_specs': Could not find 'treetop' (~> 1.5.0) - did find: [treetop-1.6.10] (Gem::MissingSpecVersionError)
Checked in 'GEM_PATH=/home/p/.gem/ruby/2.6.0:/usr/lib/ruby/gems/2.6.0', execute `gem env` for more information

Installing version 1.5.0 worked on their own platform.
[p@p rub]$ gem install treetop --version 1.5.0
ERROR:  Could not find a valid gem 'treetop' (= 1.5.0) in any repository
ERROR:  Possible alternatives: treetop

TIA

p@rick


--
[*] sys4 AG
 
https://sys4.de, +49 (89) 30 90 46 64
Schleißheimer Straße 26/MG,80333 München
 
Sitz der Gesellschaft: München, Amtsgericht München: HRB 199263
Vorstand: Patrick Ben Koetter, Marc Schiffbauer, Wolfgang Stief
Aufsichtsratsvorsitzender: Florian Kirstein
 



If you reply to this email, your message will be added to the discussion below:
http://discuss.asciidoctor.org/asciidoctor-pdf-treetop-tp7029.html
To start a new topic under Asciidoctor :: Discussion, email [hidden email]
To unsubscribe from Asciidoctor :: Discussion, click here.
NAML


--
Dan Allen | @mojavelinux | https://twitter.com/mojavelinux